FAXRM(1)

NAME
faxrm - remove a HylaFAX job or document from a server

SYNOPSIS
faxrm [ -a ] [ -d ] [ -v ] [ -h hostname ] id...

DESCRIPTION
faxrm removes one or more jobs or documents from a HylaFAX server. If a job that is to be removed is being processed by a server, it is first aborted.

An id is either a number that identifies a job (default) or, if the -d option is specified, a document pathname. Job identifiers are printed by sendfax(1) when jobs are queued for transmission; they can also be displayed with faxstat(1). The names of documents associated with outbound jobs can be seen by supplying the -f option to faxstat. Documents in the receive queue can be viewed with the -r option to faxstat.

Unprivileged users can only remove jobs or documents that they own. Clients with administrative privileges can remove any job or document (see the -a option below). The user name may be specified by the FAXUSER environment variable.

OPTIONS

-a  Use administrative privileges; faxrm will prompt for the password to set administrative privileges.

-d  Interpret each id as a document pathname. If a pathname does not begin with ``/'' then faxrm automatically prepends ``/docq/''.

-h host
    Contact the server at the specified host. The host may be either a symbolic name or a network address. If no server is specified then If no -h option is supplied, faxrm uses the FAXSERVER environment variable to identify the HylaFAX server to contact. If this variable is not set, then faxrm checks for a setting in the configuration files (first in the per-user file and then in the system-wide file). If all of the above fails, then faxrm attempts to contact a server on the machine where it is run.

-v  Trace the protocol messages to and from the server.

CONFIGURATION PARAMETERS
faxrm reads configuration information from the file /etc/hylafax/hyla.conf and then from the file ~/.hylarc. Configuration files follow the conventions described in hylafax-client(1). The following configuration parameters are recognized:

Tag	Type	Default	Description
Host	string	localhost	host to contact for service
PassiveMode	boolean	false	whether or not to use passive mode
Port	integer	559	port to use in contacting server
Protocol	string	tcp	protocol to use in contacting server
Verbose	boolean	No	whether or not to enable protocol tracing

The configuration parameters are explained below:

Host
    The host to contact for service. (Equivalent to the -h option.)

PassiveMode
    Whether or not to use passive mode in communication with the server.

Port
    The network port to contact for service. (Equivalent to the -h option.)

Protocol
    The name of the communication protocol to use when contacting a server. (Equivalent to the FAXSERVICE environment variable.)

Verbose
    Control protocol tracing. (Equivalent to the -v option.)

DIAGNOSTICS
Job %s removed. A confirmation that the job was successfully removed from the sendq directory.

Job %s removed (from doneq). A confirmation that the job was successfully removed from the done directory; the directory where jobs are placed once they are finished.

%s removed. A confirmation that the document was successfully deleted from the server.

SEE ALSO
hylafax-client(1), sendfax(1), faxalter(1), faxstat(1), hfaxd(8)